Bug 848913 - [abrt] libreoffice-core-3.5.5.3-2.fc17: UndoManagerGuard::~UndoManagerGuard killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.5.5.3-2.fc17: UndoManagerGuard::~UndoManagerGuard k...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:a1854ac71ecb4d7c129e8c9c39e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-16 15:09 EDT by Andrew Vagin
Modified: 2012-08-22 05:28 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 05:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (21.35 KB, text/plain)
2012-08-16 15:09 EDT, Andrew Vagin
no flags Details
File: backtrace (46.25 KB, text/plain)
2012-08-16 15:09 EDT, Andrew Vagin
no flags Details
File: maps (95.92 KB, text/plain)
2012-08-16 15:09 EDT, Andrew Vagin
no flags Details

  None (edit)
Description Andrew Vagin 2012-08-16 15:09:35 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=6
comment:        Create a presentation
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.5.1-1.fc17.x86_64
pid:            3122
pwd:            /home/avagin
remote_result:  NOTFOUND
time:           Thu 16 Aug 2012 10:46:32 PM MSK
uid:            1000
username:       avagin

backtrace:      Text file, 47357 bytes
dso_list:       Text file, 21861 bytes
maps:           Text file, 98222 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/avagin/2

core_backtrace:
:- 0x0 - - -
:ef10b5b50c68c6ca8940f61e99e7b31b2dd96a18 0xc6d23 - libsvllo.so -
:ef10b5b50c68c6ca8940f61e99e7b31b2dd96a18 0xc9859 SfxUndoManager::LeaveListAction() libsvllo.so -
:37e41915f364a50b167602f149df34b245794202 0x11195c - libeditenglo.so -
:37e41915f364a50b167602f149df34b245794202 0xc6d18 - libeditenglo.so -
:37e41915f364a50b167602f149df34b245794202 0xe2a5e - libeditenglo.so -
:37e41915f364a50b167602f149df34b245794202 0x171f85 OutlinerView::PostKeyEvent(KeyEvent libeditenglo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x4594cd SdrObjEditView::KeyInput(KeyEvent libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x504ad3 SdrView::KeyInput(KeyEvent libsvxcorelo.so -
:54f2c196797dbbb0eb02c5ea18cfbc201bbf4ee1 0x359fb6 FmFormView::KeyInput(KeyEvent libsvxcorelo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4d394b - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4c80d5 - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x471920 - libsdlo.so -
:782c4764d69fa84ad0da1cc29cc0ef38122556ba 0x4bc6bc - libsdlo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x35008d - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x352acb - libvcllo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x4ae1e - libvclplug_gtklo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x4b491 - libvclplug_gtklo.so -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b9e7 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47a84 g_main_context_iteration libglib-2.0.so.0 -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x30de1 - libvclplug_gtklo.so -
:785a3d3c0ad1447d7d98bd789193dd65b80d72ee 0x31add - libvclplug_gtklo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbcd4 Application::Yield(bool) libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0xfbd77 Application::Execute() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x1dd59 - libsofficeapp.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x102711 - libvcllo.so -
:2570df319b7fbfa8ce2d67c98cb838c5f2be4584 0x1027b5 SVMain() libvcllo.so -
:e306f7cf861ffe3fe272fd7721cd5b892b786024 0x41d26 soffice_main libsofficeapp.so -
:0ef7a32417e24ed789ff99a91ba555099483812c 0x6bb - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=avaginn
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/avagin/keyring-DvJeWd/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=eef53e1f97210c8d61f9f83b0000000d-1345137128.851932-2066410045
:HISTSIZE=5000
:GJS_DEBUG_OUTPUT=stderr
:CVSROOT=avagin@cvs.sw.ru:/cvs
:OLDPWD=/usr/lib64/libreoffice/program
:GNOME_KEYRING_CONTROL=/run/user/avagin/keyring-DvJeWd
:QTDIR=/usr/lib64/qt-3.3
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=avagin
:HISTFILESIZE=500000
:SSH_AUTH_SOCK=/run/user/avagin/keyring-DvJeWd/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1181,unix/unix:/tmp/.ICE-unix/1181
:USERNAME=avagin
:DESKTOP_SESSION=gnome
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/avagin/.local/bin:/home/avagin/bin
:MAIL=/var/spool/mail/avagin
:QT_IM_MODULE=xim
:PWD=/home/avagin
:XMODIFIERS=@im=none
:EDITOR=/usr/bin/vim
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1177
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=1
:HOME=/home/avagin
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=avagin
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-SUxvgep3uo,guid=3dcc2c646babb684a3d427090000002e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/avagin
:XAUTHORITY=/var/run/gdm/auth-for-avagin-pNt0mN/database
:LD_LIBRARY_PATH=/opt/jre1.6.0_29_x64/lib/amd64/client:/opt/jre1.6.0_29_x64/lib/amd64/server:/opt/jre1.6.0_29_x64/lib/amd64/native_threads:/opt/jre1.6.0_29_x64/lib/amd64

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 62791                processes 
:Max open files            4096                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       62791                62791                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/avagin/.xsession-errors
:pos:	11246
:flags:	0102002
:2:/home/avagin/.xsession-errors
:pos:	11246
:flags:	0102002
:3:socket:[48073]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:pipe:[48067]
:pos:	0
:flags:	00
:6:pipe:[48067]
:pos:	0
:flags:	01
:7:socket:[49257]
:pos:	0
:flags:	02000002

var_log_messages:
:Aug 16 22:46:32 avaginn kernel: [ 5697.854679] soffice.bin[3122]: segfault at 841f0f ip 0000000000841f0f sp 00007fff191155b8 error 14
:Aug 16 22:46:33 avaginn abrt[7257]: Saved core dump of pid 3122 (/usr/lib64/libreoffice/program/soffice.bin) to /var/spool/abrt/ccpp-2012-08-16-22:46:32-3122 (133902336 bytes)
Comment 1 Andrew Vagin 2012-08-16 15:09:41 EDT
Created attachment 604999 [details]
File: dso_list
Comment 2 Andrew Vagin 2012-08-16 15:09:44 EDT
Created attachment 605000 [details]
File: backtrace
Comment 3 Andrew Vagin 2012-08-16 15:09:46 EDT
Created attachment 605001 [details]
File: maps
Comment 4 Caolan McNamara 2012-08-22 05:28:14 EDT
This is a crash on using undo. Typing some simple text into impress and using undo and it doesn't crash, so I can't replicate the exact circumstances of the crash. Are you able to reproduce this crash ?, and if so in what way ?

Note You need to log in before you can comment on or make changes to this bug.